Defect
API Documentation for the BugSplat Defect Endpoint
Last updated
Was this helpful?
API Documentation for the BugSplat Defect Endpoint
Operations related to BugSplat's connection with the defect tracker configured on the specified database.
GET https://app.bugsplat.com/api/logDefect
Returns information regarding linked defects for a given crash (using id) or crash group (using stackKeyId).
database
string
BugSplat database to query
stackKeyId
number
Crash group to query
id
number
Crash Id to query
{
"status": "success",
"current_server_time": 1629833567,
"message": "success",
"id": 1,
"defectId": 1
}POST https://app.bugsplat.com/api/logDefect
Create an issue in the associated defect tracker
stackKeyId
number
Id of the crash group being used to create a new issue
id
number
Id of the crash being used to create a new issue
database
string
BugSplat database containing the crashId or stackKeyId
notes
string
Optional note attached to the new defect
linkDefectId
string
Optional id of an existing defect to link instead of creating a new one
DELETE https://app.bugsplat.com/api/logDefect
Removes a defect association from BugSplat. This method will not remove the issue from the associated issue tracker.
stackKeyId
string
Crash group for which the defect association will be removed
id
number
Crash id for which the defect association will be removed
database
string
BugSplat database containing the crashId or stackKeyId
Last updated
Was this helpful?
Was this helpful?
{
"status": "success",
"current_server_time": 1629834214,
"message": "success",
"id": 1,
"defectId": 1
}{
"status": "success",
"current_server_time": 1629834172,
"message": "success",
"id": 1
}